librevenge::RVNGPropertyListVectorImpl Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGPropertyListVectorImpl Class Reference

## Public Member Functions
| RVNGPropertyListVectorImpl (const std::vector< RVNGPropertyList > &_vector)
| RVNGPropertyListVectorImpl ()
void | append (const RVNGPropertyList &elem)
unsigned long | count () const
bool | empty () const
void | clear ()
const RVNGPropertyList & | operator[] (unsigned long index) const

## Public Attributes
std::vector< RVNGPropertyList > | m_vector

## Constructor & Destructor Documentation

librevenge::RVNGPropertyListVectorImpl::RVNGPropertyListVectorImpl | ( | const std::vector< RVNGPropertyList > & | _vector | ) |
| inline

librevenge::RVNGPropertyListVectorImpl::RVNGPropertyListVectorImpl | ( |  | ) |
| inline

## Member Function Documentation

void librevenge::RVNGPropertyListVectorImpl::append | ( | const RVNGPropertyList & | elem | ) |
| inline

Referenced by librevenge::RVNGPropertyListVector::append().

void librevenge::RVNGPropertyListVectorImpl::clear | ( |  | ) |
| inline

Referenced by librevenge::RVNGPropertyListVector::clear().

unsigned long librevenge::RVNGPropertyListVectorImpl::count | ( |  | ) | const
| inline

Referenced by librevenge::RVNGPropertyListVector::count().

bool librevenge::RVNGPropertyListVectorImpl::empty | ( |  | ) | const
| inline

Referenced by librevenge::RVNGPropertyListVector::empty().

const RVNGPropertyList& librevenge::RVNGPropertyListVectorImpl::operator[] | ( | unsigned long | index | ) | const
| inline

## Member Data Documentation

std::vector<RVNGPropertyList> librevenge::RVNGPropertyListVectorImpl::m_vector

Referenced by append(), librevenge::RVNGPropertyListVector::append(), clear(), count(), empty(), librevenge::RVNGPropertyListVectorIterImpl::last(), librevenge::RVNGPropertyListVectorIterImpl::next(), librevenge::RVNGPropertyListVector::operator=(), operator[](), and librevenge::RVNGPropertyListVectorIterImpl::rewind().

The documentation for this class was generated from the following file:

- RVNGPropertyListVector.cpp